Associated revisions

Revision fbf2f440 - 04/26/2017 12:04 PM - Mark Caglienzi
Use the right keys when importing. refs: #231

Revision f32dd167 - 05/02/2017 04:11 PM - Mark Caglienzi
Try to solve the bug. First step: StreamingHttpResponse without redirect. refs: #231

Revision cb6b1088 - 05/04/2017 12:50 PM - Mark Caglienzi

Make use of self.imported_ok. refs: #231

Revision b03275fc - 05/04/2017 12:50 PM - Mark Caglienzi

Send back percentage instead of . refs: #231

Revision c4b1fb24 - 05/04/2017 02:50 PM - Mark Caglienzi
Draft modal window. refs: #231

Revision b881b821 - 05/04/2017 02:50 PM - Mark Caglienzi
Add an id to the form. refs: #231

Revision ceed68ff - 05/04/2017 02:50 PM - Mark Caglienzi

preventDefault and show the modal. refs: #231

Revision c1bff1d6 - 05/04/2017 02:52 PM - Mark Caglienzi

Fix percentage calculation. refs: #231

Revision 068279bd - 05/04/2017 03:09 PM - Mark Caglienzi

Disable also closing the modal via Esc keyboard button. refs: #231

Revision 197e7aec - 05/04/2017 05:01 PM - Mark Caglienzi

Add progress bar (static for now...). refs: #231

Revision 3f89fa35 - 05/04/2017 05:02 PM - Mark Caglienzi
Add CSVImportAJAX. refs: #231

Revision b38fe633 - 05/04/2017 05:06 PM - Mark Caglienzi

Work in progress JS code for the ajax call...Not working. refs: #231

Revision 49e4ac91 - 05/05/2017 11:49 AM - Mark Caglienzi
Avoid KeyError. IS IT GOOD?. refs: #231

Revision 500b2054 - 05/05/2017 11:50 AM - Mark Caglienzi
POST also the CSV file. refs: #231

Revision 557adc9e - 05/05/2017 11:50 AM - Mark Caglienzi
Avoid HTTP 500 when the form does not validate. Hopefully we never land here... refs: #231

Revision 8db8cfd9 - 05/05/2017 11:51 AM - Mark Caglienzi
Cleanup. refs: #231

Revision ba15bb49 - 05/05/2017 12:51 PM - Mark Caglienzi
Fix the percentage. refs: #231

Revision 1176482 - 05/05/2017 02:33 PM - Mark Caglienzi

Try to understand when/if the onprogress event is catchable... refs: #231

Revision f7bf303a - 05/05/2017 02:34 PM - Mark Caglienzi

Comment. refs: #231

Revision eb49d743 - 05/05/2017 03:46 PM - Mark Caglienzi
Cleanup. refs: #231

Revision 8eca1b3c - 05/05/2017 04:05 PM - Mark Caglienzi

Manage the good POST: change modal title, show button and message, get redirect to user list. refs: #231
Revision 2be598cf - 05/08/2017 01:09 PM - Mark Caglienzi

Backend rewrite to support error handling in the new AJAX powered users' CSV import. refs: #231

Revision 87061524 - 05/08/2017 01:09 PM - Mark Caglienzi

Javascript frontend code to somehow show the errors if they happened in the backend, during users' CSV import. refs: #231

Revision 7bfa6d0a - 05/08/2017 03:06 PM - Mark Caglienzi

Empty the table prior to creating the errors' rows. refs: #231

Revision 055279f2 - 05/08/2017 03:07 PM - Mark Caglienzi

Remove the old django template code, not used anymore. refs: #231

Revision a8f2e8e3 - 05/08/2017 03:08 PM - Mark Caglienzi

Message does not use the filename. refs: #231

Revision f0f0c985 - 05/08/2017 03:09 PM - Mark Caglienzi

Better error message. refs: #231

Revision 962cb5ce - 05/08/2017 03:12 PM - Mark Caglienzi
Consistent CSS ids. refs: #231

Revision e228da15 - 05/08/2017 03:31 PM - Mark Caglienzi

Show errors. refs: #231

Revision 1f61faa1 - 05/08/2017 03:35 PM - Mark Caglienzi

Check that controller group exists, as it's done with primary group. refs: #231

Revision 928ff465 - 05/08/2017 04:44 PM - Mark Caglienzi

Add support to form errors. refs: #231

Revision 00f10953 - 05/08/2017 04:45 PM - Mark Caglienzi

Hide and empty all error related things on load, to avoid showing unwanted things. refs: #231

Revision 943a4d70 - 05/08/2017 04:46 PM - Mark Caglienzi
This is unused. refs: #231

Revision 9e271577 - 05/08/2017 05:03 PM - Mark Caglienzi
Massive cleanup after AJAXizing the CSV import. refs: #231

Revision f54e75b4 - 05/10/2017 04:43 PM - Christopher R. Gabriel
refs #231

version bump

Revision 716049be - 06/08/2017 03:59 PM - Mark Caglienzi

Try to fix backend to be more resilient AND information giving... refs: #231

Revision 78cbaf47 - 06/08/2017 04:10 PM - Mark Caglienzi

JS code to take care of the frontend when there is an Exception in the backend during CSV import. refs: #231
Revision 28c9010e - 06/08/2017 04:11 PM - Mark Caglienzi
Cleanup. refs: #231

Revision da018843 - 06/08/2017 04:46 PM - Mark Caglienzi

Restore the old error management and keep the new one. Best of both worlds. refs: #231

History

#1 - 04/18/2017 12:07 PM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Mark Caglienzi

#2 - 04/18/2017 12:08 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Mark Caglienzi to Michael Guggenberg

Solo per escludere I'ovvio, visto I'errore generato, quegli utenti non esistevano gia' quando hai provato la procedura di importazione?

#3 - 04/18/2017 12:08 PM - Christopher R. Gabriel

- Subject changed from import cvs da errore to import csv da errore

#4 - 04/18/2017 12:24 PM - Michael Guggenberg

Prtito da uno snapshot senza utenti
Creato grupp studenti, creato gruppo docenti.

#5 - 04/18/2017 12:24 PM - Christopher R. Gabriel
- Assignee changed from Michael Guggenberg to Mark Caglienzi

Ok, grazie, verifichiamo.

#6 - 04/18/2017 12:41 PM - Michael Guggenberg

la home impostata a /home/studenti/_classe__ ¢ stata ignorata ed & stata impostata a /home/_username_

#7 - 04/26/2017 09:16 AM - Mark Caglienzi

- Status changed from Commenti to In elaborazione

#8 - 04/26/2017 12:44 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Michael Guggenberg

Potete riprovare dopo aver aggiornato octofussd (8.0.17-1) e soprattutto octonet (0.2.3-1) ponendo I'attenzione su queste cose:

e Che gli utenti che si sta cercando di importare non esistano gia (questo accade anche se si fa I'importazione due volte con lo stesso file CSV. La
prima volta funziona correttamente, la seconda volta no)

¢ || problema degli utenti gia esistenti si pud presentare anche nel caso in cui siano due persone a usare l'interfaccia: la prima che fa l'import avra
I'esito positivo, la seconda che lo fa (anche un secondo dopo) avra l'esito negativo.

* Che le colonne siano selezionate correttamente prima di iniziare I'import (dato che I'importer cerca di fare automaticamente I'assegnamento
delle colonne, ma puo sbagliare)

Ho corretto questi due problemi nel frattempo:

e La home nei miei test in locale adesso viene importata correttamente (problema segnalato nel ticket)
¢ Non veniva importato il controller group, ora invece nei miei test in locale questo viene importato correttamente
#9 - 04/26/2017 05:10 PM - Michael Guggenberg

- File Screenshot - 04262017 - 05_08_13 PM.png added
- File pre_import.Idif added

- File post_import.Idif added

- File import.csv added

octonet 0.2.3-1
octofussd 8.0.17-1

#10 - 04/28/2017 09:22 AM - Mark Caglienzi
- Status changed from Commenti to In elaborazione

- Assignee changed from Michael Guggenberg to Mark Caglienzi

Questo problema & ancora diverso, sembra che ci sia stato un import parziale degli utenti e che poi la connessione si sia interrotta/resettata per
qualche motivo.

Indago.

#11 - 05/08/2017 05:23 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Rivoluzionato il backend dopo analisi con Simone e Christopher riguardo anche a octofussd (c'€ un grosso problema sul numero delle connessioni
create verso LDAP), e di conseguenza anche il frontend & cambiato.

9e271577:

e Ora il POST del CSV é fatto via AJAX

e E'stata scritta una nuova view, e quella vecchia € diventata una TemplateView dato che non gestisce POST ma deve soltanto renderizzare un
template, e il suo codice di form_valid() & stato usato come base per il codice di post() della nuova view AJAX

La view di backend ovviamente inizia a creare gli utenti solo se il CSV non ha problemi (cioe se & stato configurato correttamente I'import
rispetto alle colonne da importare, se gli utenti da importare non esistono, se i gruppi a cui aggiungere gli utenti esistono gia, eccetera).

In presenza di anche un solo errore e non viene importato nessun utente, per evitare import parziali (come era gia anche prima, del resto)

La view di backend AJAX in caso di successo invia una StreamingHttpResponse con la percentuale di utenti creati rispetto al totale degli utenti
da importare

Se tutto € ok, I'import inizia e viene mostrata una finestra modale con alcuni messaggi (¢ FONDAMENTALE non chiudere la finestra modale, né
la finestra del browser, finché non viene dato il messaggio di importazione effettuata, altrimenti in questo caso si che ci saranno import parziali. |l
processo pud impiegare davvero molti minuti, dipendentemente dal numero di utenti importati)

La percentuale di completamento dell'import inviata via StreamingHttpResponse viene usata per aggiornare una barra di progresso nella finestra
modale.

Alla fine dell'import viene mostrato, sempre nella finestra modale, un messaggio di fine processo e un bottone che rimanda alla lista utenti, dove
si potra appurare che l'import & riuscito.

In caso di errori la finestra modale viene nascosta e vengono mostrati gli errori, senza un reload della pagina (ma modificando il DOM via
javascript).

| messaggi di errore hanno la stessa forma che avevano prima

Prima vengono considerati gli errori di conformita del form (ad esempio non si pu6 chiedere di importare Full Name e uno o entrambi Name e
Surname), dato che questi controlli non necessitano di LDAP

e Se il form & ok, vengono effettuati i controlli lato LDAP (gruppi non esistenti, utenti esistenti, ecc...)

A ogni segnalazione di errore, il form resta compilato e funzionale, in questo modo & possibile fare le correzioni e procedere all'upload
rapidamente (ad esempio se l'unico errore &€ "Gruppo non esistente", si puo aprire un secondo tab in cui si crea il gruppo, poi tornare al tab
dell'upload e premere Upload senza dover rifare tutta la procedura di selezione file e ordinamento colonne)

Nel frattempo sono state aggiunte alcune cose (ad esempio il controllo dell'esistenza del gruppo controller, che prima non veniva effettuato
esplicitamente), e corretti alcuni particolari qua e la (typo, eccetera)

Codice pushato nel branch t231 e NON mergiato in master.

lo ho modificato il codice di octonet, il cui pacchetto quindi & da rifare.
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/9e271577f81379366b408e2d4259df2dcee9ae86

#12 - 05/10/2017 04:46 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Uploadati i pacchetti

e octofussd 8.0.19
e octonet 0.2.5

che includono tutto il fix della procedura di importazione.

#13 - 05/11/2017 11:27 AM - Michael Guggenberg
- File import_1.csv added
- File octofussd.log added

L'import & sempre parziale, anche riducendo il numero degli utenti da importare.
Allego il cvs e output di octofussd.log.

root@serverfuss:~# dpkg -l octonet

Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/
Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version  Architecture Description

ii octonet 0.25-1 all OctoNet

root@serverfuss:~# dpkg -l octofussd

Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/
Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version  Architecture Description

i octofussd  8.0.19-1 all server for remote computer lab ad

#14 - 05/11/2017 11:38 AM - Christopher R. Gabriel
- Assignee changed from Michael Guggenberg to Mark Caglienzi

#15 - 05/12/2017 09:53 AM - Christopher R. Gabriel
- Assignee changed from Mark Caglienzi to Michael Guggenberg

Michael cosa vedi nella finestra del browser? Si apre il dialog con la progress bar, poi quando si ferma? vedi errori 0 qualcosa del genere? Perche'
guardando il log che hai allegato, si vede che non riceve piu' richieste, come se la finestra e/o il browser fossero stati chiusi, oppure si sia lasciata la
pagina con il dialog della progress bar.

#16 - 05/12/2017 10:36 AM - Michael Guggenberg

- File Screenshot - 05122017 - 10_27_49 AM.png added
- File import_1.csv added

- File octofussd.log added
allego lo screenshot.

Riallego il file cvs.

Riallego octofussd.log

I'import sembra andare a buon fine, nessun errore (all users where imported!)

#17 - 05/12/2017 10:39 AM - Christopher R. Gabriel

Ok, quindi possiamo chiudere? Cosa era successo nel tuo test precedente di diverso?

#18 - 05/12/2017 10:47 AM - Mark Caglienzi

® La progress bar mi sembra molto corta

e |l file csv porta 200 utenti

¢ |l log indica 120-121 utenti importati correttamente
Due domande:

e |l file csv e il log sono quelli relativi all'import che sembra andato a buon fine (cioé quello dell'ultimo screenshot) ?
e Dopo aver cliccato sul bottone che porta alla lista utenti, ti ritrovi tutti gli utenti che erano presenti nel csv?

#19 - 05/12/2017 10:50 AM - Michael Guggenberg

L'errore persiste.

octofussd.log riporta come ultimo utente create user121

2017-05-12T10:27:35+0200 [stdout#info] CREATE users/users/user121 {'uid': 'user121', 'primarygroup': 'studenti', 'homeDirectory':
'’home/studenti/classe_B2011/user121

2017-05-12T10:27:35+0200 [twisted.python.log#info] 127.0.0.1 - - [12/May/2017:08:27:34 +0000] "POST /conf/ HTTP/1.1" 200 511 "-"
"Python-xmlrpc/3.4"

import_1.cvs contiene 200 utenze

| file allegati corrispondono all' ultimo tentativo di importazione

#20 - 06/07/2017 03:40 PM - Mark Caglienzi
- Status changed from Commenti to In elaborazione

- Assignee changed from Michael Guggenberg to Mark Caglienzi

#21 - 06/07/2017 04:04 PM - Mark Caglienzi

Come detto al telefono con Christopher, sto facendo un esperimento:

e Aggiungere un raise forzato nel codice backend quando arriva circa a meta import
e Vedere cosa esce nei log e come si comporta la Ul.

Ho aggiunto questo pezzo di codice:
if percentage >= 50:
raise Exception("Ne hai gia importati circa la meta")

nel metodo che crea gli utenti leggendo il CSV.

e | a Ul non mostra nessun errore, anzi, la modal fa vedere il messaggio di tutto ok, MA la progress bar & piena solo a meta
¢ |l log di octofussd non mostra nessun errore se non che smette di creare gli utenti quando arriva a meta
e |l log di django € quello che segue:

[07/Jun/2017 13:59:27] "POST /users/csvimport_ajax HTTP/1.1" 200 138
Traceback (most recent call last):
File "/usr/lib/python3.5/wsgiref/handlers.py", line 138, in run
self.finish_response ()
File "/usr/lib/python3.5/wsgiref/handlers.py", line 179, in finish_response
for data in self.result:
File "/home/mark/truelite/FUSS/octonet/users/views.py", line 883, in users_generator
raise Exception("Ne hai gia importati circa la meta")
Exception: Ne hai gia importati circa la meta
[07/Jun/2017 13:59:27] "POST /users/csvimport_ajax HTTP/1.1" 500 59

Exception happened during processing of request from ('127.0.0.1', 58100)
Traceback (most recent call last):
File "/usr/lib/python3.5/wsgiref/handlers.py", line 138, in run
self.finish_response ()
File "/usr/lib/python3.5/wsgiref/handlers.py", line 179, in finish_response
for data in self.result:
File "/home/mark/truelite/FUSS/octonet/users/views.py", line 883, in users_generator
raise Exception("Ne hai gia importati circa la meta")
Exception: Ne hai gia importati circa la meta

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.5/wsgiref/handlers.py", line 141, in run
self.handle_error ()
File "/home/mark/truelite/FUSS/octonet/django/core/servers/basehttp.py", line 95, in handle_error
super (ServerHandler, self) .handle_error ()
File "/usr/lib/python3.5/wsgiref/handlers.py", line 368, in handle_error
self.finish_response ()
File "/usr/lib/python3.5/wsgiref/handlers.py", line 180, in finish_response
self.write (data)
File "/usr/lib/python3.5/wsgiref/handlers.py", line 274, in write
self.send_headers ()
File "/usr/lib/python3.5/wsgiref/handlers.py", line 331, in send_headers
if not self.origin_server or self.client_is_modern() :
File "/usr/lib/python3.5/wsgiref/handlers.py", line 344, in client_is_modern
return self.environ['SERVER_PROTOCOL'].upper () != 'HTTP/0.9'
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.5/socketserver.py", line 625, in process_request_thread
self.finish_request (request, client_address)
File "/usr/lib/python3.5/socketserver.py", line 354, in finish_request
self.RequestHandlerClass (request, client_address, self)
File "/home/mark/truelite/FUSS/octonet/django/core/servers/basehttp.py", line 102, in __init_
super (WSGIRequestHandler, self)._ _init__ (*args, **kwargs)
File "/usr/lib/python3.5/socketserver.py", line 681, in __init_
self.handle ()
File "/home/mark/truelite/FUSS/octonet/django/core/servers/basehttp.py", line 182, in handle
handler.run(self.server.get_app())
File "/usr/lib/python3.5/wsgiref/handlers.py", line 144, in run
self.close ()
File "/usr/lib/python3.5/wsgiref/simple_server.py", line 36, in close
self.status.split (' ',1)[0], self.bytes_sent
AttributeError: 'NoneType' object has no attribute 'split'
#22 - 06/08/2017 09:39 AM - Christopher R. Gabriel

Quindi confermata la mia ipotesi. Wrappiamo il loop per intercettare I'eccezione, e restituiamo alla fine della esecuzione, prima di chiudere la
connessione, I'elenco delle righe del file andate in errore, per poter informare I'utente.

#23 - 06/08/2017 10:05 AM - Mark Caglienzi
- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Non so se cosi si possa fare, vista la StreamingHttpResponse.

Ho provato a wrappare la creazione e return della StreamingHttpResponse in un try, con la restituzione di una normale JsonResponse nell'except,
contenente il messaggio dell'eccezione e gli utenti importati fin li, ma non viene catchata/restituita, probabilmente perché la Streaming appena inizia a
venir inviata poi impedisce di fare return di altro.

Continuo l'indagine e gli esperimenti

#24 - 06/08/2017 02:39 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

Ok, aggiornami dei risultati.

#25 - 06/08/2017 05:02 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

da018843:

e |ncapsulata una specie di protocollo all'interno dello streaming

o Gli errori di validazione sul form (ad es. username non scelto tra le colonne da importare) e sul CSV (ad es. utenti gia esistenti) sono rimasti con

la stessa gestione precedente

Il nuovo errore (cioe I'eccezione nel backend durante I'import quando tutto il resto € ok (colonne scelte correttamente e nessun utente duplicato))

viene gestito per forza diversamente

e users_generator() & tutto dentro un try: [...] except Exception as e: in modo che prenda su qualsiasi eccezione. In questo caso invia una stringa
JSONabile contenente status="error", il testo dell'eccezione, la percentuale, e gli utenti correttamente importati fino a quel punto

e Questa viene presa dal frontend, parsata in un JSON, e usata per compilare il template con un messaggio di errore che indica il problema nel
backend, il testo dell'eccezione, e I'elenco degli utenti correttamente importati (cosi in questo modo Il'utente puo rimuoverli dal CSV e procedere
con una nuova procedura di import, se € il caso.

* Mostrare I'elenco degli utenti non importati era piu problematico

Questo mi & sembrato (anche con il supporto di Enrico) I'unico workaround per dare una UX un pochino usabile e chiara, visto il limite intrinseco
di HTTP e StreamingHTTPResponse (Una volta che la streaming inizia, da gia 200 e non si pud far restituire una response diversa a quel
punto).

Dai miei esperimenti/test mi pare che sia possibile fare un po' tutto: import completamente corretti, import parziali per eccezione (c'¢ il raise
commentato nel codice della view, se serve), prova di errori per utenti gia presenti, o per errori di validazione form (cioe errori di scelta colonne da
importare), anche uno di seguito all'altro (cioé provare import erronei dopo import corretti o viceversa, ecc...)

Codice pushato in t231 e non mergiato.
#26 - 06/09/2017 09:13 AM - Mark Caglienzi

Mergiato in master

#27 - 06/09/2017 05:44 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Pubblicato octonet 0.2.7 che include anche questo fix.

#28 - 06/14/2017 02:46 PM - Michael Guggenberg
- File octofussd.log added

Portroppo anche dopo I'ultimo aggiornamento la situazione non & cambiata.
Provo ad importare i 200 utenti da file import_1.cvs, la statusbar non raggiunge 100%, octonet riporta di aver importato tutti gli utenti.
octofussd.log riporta 115 utenti creati e non da nessun errore.

Versioni installati:
octonet 0.2.10-1
octofuss 8.0.28-1

riallego il il file di importazione, octofussdlog

#29 - 06/14/2017 02:47 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

#30 - 06/15/2017 12:44 PM - Mark Caglienzi
- Status changed from Commenti to In elaborazione

- Assignee changed from TRUELITE to Mark Caglienzi

#31 - 06/16/2017 10:34 AM - Mark Caglienzi
- File test_import.csv added
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Michael Guggenberg

Attualmente con le versioni octofussd 8.0.30-1 e octonet 0.2.10-1 non riusciamo a riprodurre il problema, abbiamo importato il file CSV allegato a
questo messaggio (con quasi 1300 utenti) senza problemi.

#32 - 06/20/2017 02:46 PM - Paolo Dongilli
- File octofussd.log added
- Assignee changed from Michael Guggenberg to Mark Caglienzi

Ho fatto un test con il CSV fornito da Mark. Allego il mio octofussd.log.

#33 - 06/20/2017 04:00 PM - Christopher R. Gabriel

- Assignee changed from Mark Caglienzi to Paolo Dongilli

Ho pubblicato nuova versione del pacchetto octonet, 0.2.13. Dopo aver riprodotto il problema, con questa soluzione non si ripresenta. Non e' un
problema dell'applicazione, ma del demone che la fa girare (gunicorn).
Quando puoi, puoi verificare con questa nuova versione?

#34 - 06/20/2017 06:03 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Michael Guggenberg

Ho fatto lI'aggiornamento di octonet sul nostro server ed ho testato con successo I'upload di tutte le 1292 utenze dal file
https://work.fuss.bz.it/attachments/download/686/test_import.csv

Il ticket per me potrebbe essere chiuso. Lo passo comunque a Michael se vuole provare a fare un test anche lui prima della chiusura definitiva.

Grazie.

#35 - 06/23/2017 09:56 AM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

- % Done changed from 0 to 100

Chiudo il ticket, la problematica durante I'import non si ripresenta piu.

Grazie

#36 - 06/23/2017 09:59 AM - Michael Guggenberg

- Status changed from Commenti to Chiuso
